<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Token.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::Token</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../Synopsis.html" >Synopsis</a>
</div><div class="class-name">struct Token

</div><div class="links"><div class="file">File: <a href="../../File/Synopsis/Token.hh.html" target="detail">../Synopsis/Token.hh</a></div> <div class="xref"><a href="../../XRef/xref27.html#Synopsis_mToken" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Token.hh.html#line50" ><img src="../../src-c++.png" alt="source code"/></a></div></div>   <div class="doc"><p>A Token is what the Lexer splits an input stream into.
It refers to a region in the underlaying buffer and it
has a type.</p>
<ul class="simple">
<li>line directive:   <em>^&quot;#&quot;{blank}*{digit}+({blank}+.*)?n</em></li>
<li>pragma directive: <em>^&quot;#&quot;{blank}*&quot;pragma&quot;.*n</em></li>
<li>Constant:<ul>
<li><em>{digit}+{int_suffix}*</em></li>
<li><em>&quot;0&quot;{xletter}{hexdigit}+{int_suffix}*</em></li>
<li><em>{digit}*.{digit}+{float_suffix}*</em></li>
<li><em>{digit}+.{float_suffix}*</em></li>
<li><em>{digit}*.{digit}+&quot;e&quot;(&quot;+&quot;|&quot;-&quot;)*{digit}+{float_suffix}*</em></li>
<li><em>{digit}+.&quot;e&quot;(&quot;+&quot;|&quot;-&quot;)*{digit}+{float_suffix}*</em></li>
<li><em>{digit}+&quot;e&quot;(&quot;+&quot;|&quot;-&quot;)*{digit}+{float_suffix}*</em></li>
</ul>
</li>
<li>CharConst:        <em>'([^'n]|\[^n])'</em></li>
<li>WideCharConst:    <em>L'([^'n]|\[^n])'</em></li>
<li>StringL:          <em>&quot;([^&quot;n]|\[&quot;n])*&quot;</em></li>
<li>WideStringL:      <em>L&quot;([^&quot;n]|\[&quot;n])*&quot;</em></li>
<li>Identifier:       <em>{letter}+({letter}|{digit})*</em></li>
<li>AssignOp:         <em>*= /= %= += -= &amp;= ^= &lt;&lt;= &gt;&gt;=</em></li>
<li>EqualOp:          <em>== !=</em></li>
<li>RelOp:            <em>&lt;= &gt;=</em></li>
<li>ShiftOp:          <em>&lt;&lt; &gt;&gt;</em></li>
<li>LogOrOp:          <em>||</em></li>
<li>LogAndOp:         <em>&amp;&amp;</em></li>
<li>IncOp:            <em>++ --</em></li>
<li>Scope:            <em>::</em></li>
<li>Ellipsis:         <em>...</em></li>
<li>PmOp:             <em>.* -&gt;*</em></li>
<li>ArrowOp:          <em>-&gt;</em></li>
<li>others:           <em>!%^&amp;*()-+={}|~[];:&lt;&gt;?,./</em></li>
<li>BadToken:         <em>others</em></li>
</ul>
</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Typedefs Summary:</div>
<div class="item"><div class="synopsis">int <a class="name" id="Type">Type</a></div> <div class="xref"><a href="../../XRef/xref28.html#Synopsis_mToken_mType" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Token.hh.html#line52" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Public Enums Summary:</div>
<div class="item"><div class="synopsis"><a class="name" id="`0000">`0000</a> Identifier, Constant, CharConst, StringL, AssignOp, EqualOp, RelOp, ShiftOp, LogOrOp, LogAndOp, IncOp, Scope, Ellipsis, PmOp, ArrowOp, BadToken, AUTO, CHAR, CLASS, CONST, DELETE, DOUBLE, ENUM, EXTERN, FLOAT, FRIEND, INLINE, INT, LONG, NEW, OPERATOR, PRIVATE, PROTECTED, PUBLIC, REGISTER, SHORT, SIGNED, STATIC, STRUCT, TYPEDEF, TYPENAME, UNION, UNSIGNED, VIRTUAL, VOID, VOLATILE, TEMPLATE, MUTABLE, BREAK, CASE, CONTINUE, DEFAULT, DO, ELSE, FOR, GOTO, IF, OFFSETOF, RETURN, SIZEOF, SWITCH, THIS, WHILE, ATTRIBUTE, METACLASS, UserKeyword, UserKeyword2, UserKeyword3, UserKeyword4, BOOLEAN, EXTENSION, TRY, CATCH, THROW, UserKeyword5, NAMESPACE, USING, TYPEID, TYPEOF, WideStringL, WideCharConst, WCHAR, ntDeclarator, ntName, ntFstyleCast, ntClassSpec, ntEnumSpec, ntDeclaration, ntTypedef, ntTemplateDecl, ntMetaclassDecl, ntParameterDecl, ntLinkageSpec, ntAccessSpec, ntUserAccessSpec, ntUserdefKeyword, ntExternTemplate, ntAccessDecl, ntNamespaceSpec, ntUsing, ntTemplateInstantiation, ntNamespaceAlias, ntIfStatement, ntSwitchStatement, ntWhileStatement, ntDoStatement, ntForStatement, ntBreakStatement, ntContinueStatement, ntReturnStatement, ntGotoStatement, ntCaseStatement, ntDefaultStatement, ntLabelStatement, ntExprStatement, ntTryStatement, ntCommaExpr, ntAssignExpr, ntCondExpr, ntInfixExpr, ntPmExpr, ntCastExpr, ntUnaryExpr, ntSizeofExpr, ntNewExpr, ntDeleteExpr, ntArrayExpr, ntFuncallExpr, ntPostfixExpr, ntUserStatementExpr, ntDotMemberExpr, ntArrowMemberExpr, ntParenExpr, ntStaticUserStatementExpr, ntThrowExpr, ntTypeidExpr, ntTypeofExpr, Ignore, ASM, DECLSPEC, PRAGMA, INT64, Comment</div> <div class="xref"></div> <div class="source"><a href="../../Source/Synopsis/Token.hh.html#line53" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Token_l_r">Token</a>()  </div> <div class="xref"><a href="../../XRef/xref28.html#Synopsis_mToken_mToken_l_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Token.hh.html#line205" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Token_lconst.char_S_csize_t_cType_r">Token</a>(const&#160;char* <span class="variable">s</span>, size_t <span class="variable">l</span>, <a href="Token.html#Type" >Type</a> <span class="variable">t</span>)  </div> <div class="xref"><a href="../../XRef/xref28.html#Synopsis_mToken_mToken_lconst.char_S_csize_t_cType_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Token.hh.html#line206" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="operator_e_e_lchar_rconst">operator==</a>(char <span class="variable">c</span>) <span class="keyword">const</span> </div> <div class="xref"><a href="../../XRef/xref30.html#Synopsis_mToken_moperator_e_e_lchar_rconst" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Token.hh.html#line207" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Public Data members Summary:</div>
<div class="item"><div class="synopsis">const&#160;char* <a class="name" id="ptr">ptr</a></div> <div class="xref"><a href="../../XRef/xref30.html#Synopsis_mToken_mptr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Token.hh.html#line208" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">size_t <a class="name" id="length">length</a></div> <div class="xref"><a href="../../XRef/xref29.html#Synopsis_mToken_mlength" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Token.hh.html#line209" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Token.html#Type" >Type</a> <a class="name" id="type">type</a></div> <div class="xref"><a href="../../XRef/xref30.html#Synopsis_mToken_mtype" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Token.hh.html#line210" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Enumerators Summary:</div>
<div class="item"><div class="synopsis"><a class="name" id="Identifier">Identifier</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="name"><a href="Token.html#Constant" >Constant</a></span></div> <div class="doc"><p>&lt; The first 256 are representing character literals.</p>
</div></div>
<div class="item"><div class="synopsis"><a class="name" id="CharConst">CharConst</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="StringL">StringL</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="AssignOp">AssignOp</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="EqualOp">EqualOp</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="RelOp">RelOp</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ShiftOp">ShiftOp</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="LogOrOp">LogOrOp</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="LogAndOp">LogAndOp</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="IncOp">IncOp</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="Scope">Scope</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="Ellipsis">Ellipsis</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="PmOp">PmOp</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ArrowOp">ArrowOp</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="BadToken">BadToken</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="AUTO">AUTO</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="CHAR">CHAR</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="CLASS">CLASS</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="CONST">CONST</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="DELETE">DELETE</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="DOUBLE">DOUBLE</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ENUM">ENUM</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="EXTERN">EXTERN</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="FLOAT">FLOAT</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="FRIEND">FRIEND</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="INLINE">INLINE</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="INT">INT</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="LONG">LONG</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="NEW">NEW</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="OPERATOR">OPERATOR</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="PRIVATE">PRIVATE</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="PROTECTED">PROTECTED</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="PUBLIC">PUBLIC</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="REGISTER">REGISTER</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="SHORT">SHORT</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="SIGNED">SIGNED</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="STATIC">STATIC</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="STRUCT">STRUCT</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="TYPEDEF">TYPEDEF</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="TYPENAME">TYPENAME</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="UNION">UNION</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="UNSIGNED">UNSIGNED</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="VIRTUAL">VIRTUAL</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="VOID">VOID</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="VOLATILE">VOLATILE</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="TEMPLATE">TEMPLATE</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="MUTABLE">MUTABLE</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="BREAK">BREAK</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="CASE">CASE</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="CONTINUE">CONTINUE</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="DEFAULT">DEFAULT</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="DO">DO</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ELSE">ELSE</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="FOR">FOR</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="GOTO">GOTO</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="IF">IF</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="OFFSETOF">OFFSETOF</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="RETURN">RETURN</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="SIZEOF">SIZEOF</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="SWITCH">SWITCH</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="THIS">THIS</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="WHILE">WHILE</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ATTRIBUTE">ATTRIBUTE</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="METACLASS">METACLASS</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="UserKeyword">UserKeyword</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="UserKeyword2">UserKeyword2</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="UserKeyword3">UserKeyword3</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="UserKeyword4">UserKeyword4</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="BOOLEAN">BOOLEAN</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="EXTENSION">EXTENSION</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="TRY">TRY</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="CATCH">CATCH</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="THROW">THROW</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="UserKeyword5">UserKeyword5</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="NAMESPACE">NAMESPACE</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="USING">USING</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="TYPEID">TYPEID</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="TYPEOF">TYPEOF</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="WideStringL">WideStringL</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="WideCharConst">WideCharConst</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="WCHAR">WCHAR</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntDeclarator">ntDeclarator</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntName">ntName</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntFstyleCast">ntFstyleCast</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntClassSpec">ntClassSpec</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntEnumSpec">ntEnumSpec</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntDeclaration">ntDeclaration</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntTypedef">ntTypedef</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntTemplateDecl">ntTemplateDecl</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntMetaclassDecl">ntMetaclassDecl</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntParameterDecl">ntParameterDecl</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntLinkageSpec">ntLinkageSpec</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntAccessSpec">ntAccessSpec</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntUserAccessSpec">ntUserAccessSpec</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntUserdefKeyword">ntUserdefKeyword</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntExternTemplate">ntExternTemplate</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntAccessDecl">ntAccessDecl</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntNamespaceSpec">ntNamespaceSpec</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntUsing">ntUsing</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntTemplateInstantiation">ntTemplateInstantiation</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntNamespaceAlias">ntNamespaceAlias</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntIfStatement">ntIfStatement</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntSwitchStatement">ntSwitchStatement</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntWhileStatement">ntWhileStatement</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntDoStatement">ntDoStatement</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntForStatement">ntForStatement</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntBreakStatement">ntBreakStatement</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntContinueStatement">ntContinueStatement</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntReturnStatement">ntReturnStatement</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntGotoStatement">ntGotoStatement</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntCaseStatement">ntCaseStatement</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntDefaultStatement">ntDefaultStatement</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntLabelStatement">ntLabelStatement</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntExprStatement">ntExprStatement</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntTryStatement">ntTryStatement</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntCommaExpr">ntCommaExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntAssignExpr">ntAssignExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntCondExpr">ntCondExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntInfixExpr">ntInfixExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntPmExpr">ntPmExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntCastExpr">ntCastExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntUnaryExpr">ntUnaryExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntSizeofExpr">ntSizeofExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntNewExpr">ntNewExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntDeleteExpr">ntDeleteExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntArrayExpr">ntArrayExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntFuncallExpr">ntFuncallExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntPostfixExpr">ntPostfixExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntUserStatementExpr">ntUserStatementExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntDotMemberExpr">ntDotMemberExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntArrowMemberExpr">ntArrowMemberExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntParenExpr">ntParenExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntStaticUserStatementExpr">ntStaticUserStatementExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntThrowExpr">ntThrowExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntTypeidExpr">ntTypeidExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ntTypeofExpr">ntTypeofExpr</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="Ignore">Ignore</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ASM">ASM</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="DECLSPEC">DECLSPEC</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="PRAGMA">PRAGMA</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="INT64">INT64</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="Comment">Comment</a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Enumerators Details:</div>
<div class="item"><div class="synopsis"><a class="name" id="Constant">Constant</a></div> <div class="doc"><p>&lt; The first 256 are representing character literals.</p>
</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:42 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
